Bug 54938 - (FIREWIRE)modprobe sbp2 hangs the system
(FIREWIRE)modprobe sbp2 hangs the system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 10:26 EDT by Larry Byars
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Byars 2001-10-23 10:26:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
The IEEE1394 driver module, sbp2, used for accessing disks, tapes, etc.
through a Firewire connection hangs the system when loaded requiring a
manual power cycle to recover. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot the system, log in as root.
2. modprobe ohci1394
3. modprobe sbp2	
	

Actual Results:  The system "hangs" - becomes totally non-responsive either
from the keyboard or from the network.

Expected Results:  The module should have loaded. Note that no devices are
attached to the Firewire controller.

Additional info:
Comment 1 Arjan van de Ven 2001-10-23 10:28:06 EDT
which kernel is this ? (version , smp/non smp etc etc)
Comment 2 Larry Byars 2001-10-23 11:04:06 EDT
I am using kernel 2.4.9-10smp but it also fails on 2.4.9-7 and on both smp and 
up kernels.
Comment 3 Larry Byars 2001-10-23 12:54:57 EDT
Oops...sorry, got a bit confused with the digits. However, it fails with the 
2.4.7-10 (default kernel with enigma install, both smp and up versions) and 
also with the updated 2.4.9-7smp and up kernels from up2date.
Comment 4 Larry Byars 2001-10-25 15:09:21 EDT
Some additional information. This problem only seems to occur with SMP kernel. I
have a Dell Precision 530 Workstation with 2 1.7MHz Pentium IV Xeon processors
and 2 Gb memory. I'm now communicating with the linux1394 group at SourceForge
to see if I can find anything else. I have tried their latest CVS sources but
with the same result.
Comment 5 Need Real Name 2002-05-02 17:53:26 EDT
I also see the same problem.  If I boot with 2.4.9-31smp the machines freezes
when I modprobe sbp2.  If I boot just 2.4.9-31 then it works fine.
Comment 6 Amrinderpal Singh Oberai 2003-08-27 23:57:06 EDT
I'm also having the similar problem.

-Amrinderpal
Comment 7 Amrinderpal Singh Oberai 2003-09-03 13:33:56 EDT
Is some one working on this issue .We need to make it work for our oracle 
database on Rac
Comment 8 Amrinderpal Singh Oberai 2003-09-03 15:40:29 EDT
Is some one working on this issue .We need to make it work for our oracle 
database on Rac
Comment 9 Bugzilla owner 2004-09-30 11:39:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.